API Explorer
Soft-delete a public API
The API is unpublished and marked deleted. Customers that already have the spec keep working until they re-fetch.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token. Either a Personal Access Token (pat_...) or a Service Account
Token (sat_...). Issued via the Spec0 dashboard or /me/personal-access-tokens.
In: header
Path Parameters
publicApiId*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://app.spec0.io/api/v1/public/apis/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"error": "string",
"message": "string"
}{
"status": 0,
"title": "string",
"detail": "string",
"type": "string",
"instance": "string"
}{
"status": 0,
"title": "string",
"detail": "string",
"type": "string",
"instance": "string"
}Was this helpful?